Package org.apache.velocity.util

# Enum DuckType.Types

java.lang.Object
java.lang.Enum<DuckType.Types>
org.apache.velocity.util.DuckType.Types

All Implemented Interfaces:
  `Serializable`, `Comparable<DuckType.Types>`

Enclosing class:
  `DuckType`

protected static enum DuckType.Types extends Enum<DuckType.Types>

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BOOLEAN`
`EMPTY`
`LENGTH`
`NUMBER`
`SIZE`
`STRING`

## Method Summary

Modifier and Type
Method
Description
`static DuckType.Types`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static DuckType.Types[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### STRING

public static final DuckType.Types STRING

### NUMBER

public static final DuckType.Types NUMBER

### BOOLEAN

public static final DuckType.Types BOOLEAN

### EMPTY

public static final DuckType.Types EMPTY

### LENGTH

public static final DuckType.Types LENGTH

### SIZE

public static final DuckType.Types SIZE

## Method Details

### values

public static DuckType.Types[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static DuckType.Types valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null